const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rightId: '<string>',
spatialAnchorId: '<string>',
dwellMs: 1,
spatialPlacementId: '<string>',
correlationId: '<string>',
telemetry: {
speedMph: 123,
remoteIdActive: true,
bvlosWaiverId: '<string>',
voicePromptActive: true,
headsetWorn: true,
passthroughActive: true,
roomScaleBounded: true,
spatialAnchorPersistent: true,
geoAnchored: true,
occlusionResolved: true,
fovPresence: true,
gazeInView: true,
dwellInViewMs: 123,
eyeTrackingConsent: true,
spatialMappingConsent: true,
minorMode: true,
beamId: '<string>',
coverageCellId: '<string>',
groundStationId: '<string>',
footprintRegion: '<string>',
spectrumBand: '<string>',
dopplerLocked: true,
weatherAttenuationDb: 123,
licensedRegionMatch: true,
onboardProcessed: true,
viewable: true,
muted: true,
audible: true
}
})
};
fetch('https://sandbox.api.enfinitos.com/v1/delivery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.enfinitos.com/v1/delivery"
payload = {
"rightId": "<string>",
"spatialAnchorId": "<string>",
"dwellMs": 1,
"spatialPlacementId": "<string>",
"correlationId": "<string>",
"telemetry": {
"speedMph": 123,
"remoteIdActive": True,
"bvlosWaiverId": "<string>",
"voicePromptActive": True,
"headsetWorn": True,
"passthroughActive": True,
"roomScaleBounded": True,
"spatialAnchorPersistent": True,
"geoAnchored": True,
"occlusionResolved": True,
"fovPresence": True,
"gazeInView": True,
"dwellInViewMs": 123,
"eyeTrackingConsent": True,
"spatialMappingConsent": True,
"minorMode": True,
"beamId": "<string>",
"coverageCellId": "<string>",
"groundStationId": "<string>",
"footprintRegion": "<string>",
"spectrumBand": "<string>",
"dopplerLocked": True,
"weatherAttenuationDb": 123,
"licensedRegionMatch": True,
"onboardProcessed": True,
"viewable": True,
"muted": True,
"audible": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.enfinitos.com/v1/delivery"
payload := strings.NewReader("{\n \"rightId\": \"<string>\",\n \"spatialAnchorId\": \"<string>\",\n \"dwellMs\": 1,\n \"spatialPlacementId\": \"<string>\",\n \"correlationId\": \"<string>\",\n \"telemetry\": {\n \"speedMph\": 123,\n \"remoteIdActive\": true,\n \"bvlosWaiverId\": \"<string>\",\n \"voicePromptActive\": true,\n \"headsetWorn\": true,\n \"passthroughActive\": true,\n \"roomScaleBounded\": true,\n \"spatialAnchorPersistent\": true,\n \"geoAnchored\": true,\n \"occlusionResolved\": true,\n \"fovPresence\": true,\n \"gazeInView\": true,\n \"dwellInViewMs\": 123,\n \"eyeTrackingConsent\": true,\n \"spatialMappingConsent\": true,\n \"minorMode\": true,\n \"beamId\": \"<string>\",\n \"coverageCellId\": \"<string>\",\n \"groundStationId\": \"<string>\",\n \"footprintRegion\": \"<string>\",\n \"spectrumBand\": \"<string>\",\n \"dopplerLocked\": true,\n \"weatherAttenuationDb\": 123,\n \"licensedRegionMatch\": true,\n \"onboardProcessed\": true,\n \"viewable\": true,\n \"muted\": true,\n \"audible\": true\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.api.enfinitos.com/v1/delivery")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rightId\": \"<string>\",\n \"spatialAnchorId\": \"<string>\",\n \"dwellMs\": 1,\n \"spatialPlacementId\": \"<string>\",\n \"correlationId\": \"<string>\",\n \"telemetry\": {\n \"speedMph\": 123,\n \"remoteIdActive\": true,\n \"bvlosWaiverId\": \"<string>\",\n \"voicePromptActive\": true,\n \"headsetWorn\": true,\n \"passthroughActive\": true,\n \"roomScaleBounded\": true,\n \"spatialAnchorPersistent\": true,\n \"geoAnchored\": true,\n \"occlusionResolved\": true,\n \"fovPresence\": true,\n \"gazeInView\": true,\n \"dwellInViewMs\": 123,\n \"eyeTrackingConsent\": true,\n \"spatialMappingConsent\": true,\n \"minorMode\": true,\n \"beamId\": \"<string>\",\n \"coverageCellId\": \"<string>\",\n \"groundStationId\": \"<string>\",\n \"footprintRegion\": \"<string>\",\n \"spectrumBand\": \"<string>\",\n \"dopplerLocked\": true,\n \"weatherAttenuationDb\": 123,\n \"licensedRegionMatch\": true,\n \"onboardProcessed\": true,\n \"viewable\": true,\n \"muted\": true,\n \"audible\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.enfinitos.com/v1/delivery")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rightId\": \"<string>\",\n \"spatialAnchorId\": \"<string>\",\n \"dwellMs\": 1,\n \"spatialPlacementId\": \"<string>\",\n \"correlationId\": \"<string>\",\n \"telemetry\": {\n \"speedMph\": 123,\n \"remoteIdActive\": true,\n \"bvlosWaiverId\": \"<string>\",\n \"voicePromptActive\": true,\n \"headsetWorn\": true,\n \"passthroughActive\": true,\n \"roomScaleBounded\": true,\n \"spatialAnchorPersistent\": true,\n \"geoAnchored\": true,\n \"occlusionResolved\": true,\n \"fovPresence\": true,\n \"gazeInView\": true,\n \"dwellInViewMs\": 123,\n \"eyeTrackingConsent\": true,\n \"spatialMappingConsent\": true,\n \"minorMode\": true,\n \"beamId\": \"<string>\",\n \"coverageCellId\": \"<string>\",\n \"groundStationId\": \"<string>\",\n \"footprintRegion\": \"<string>\",\n \"spectrumBand\": \"<string>\",\n \"dopplerLocked\": true,\n \"weatherAttenuationDb\": 123,\n \"licensedRegionMatch\": true,\n \"onboardProcessed\": true,\n \"viewable\": true,\n \"muted\": true,\n \"audible\": true\n }\n}"
response = http.request(request)
puts response.read_bodyfalsecurl --request POST \
--url https://sandbox.api.enfinitos.com/v1/delivery \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rightId": "<string>",
"spatialAnchorId": "<string>",
"dwellMs": 1,
"spatialPlacementId": "<string>",
"correlationId": "<string>",
"telemetry": {
"speedMph": 123,
"remoteIdActive": true,
"bvlosWaiverId": "<string>",
"voicePromptActive": true,
"headsetWorn": true,
"passthroughActive": true,
"roomScaleBounded": true,
"spatialAnchorPersistent": true,
"geoAnchored": true,
"occlusionResolved": true,
"fovPresence": true,
"gazeInView": true,
"dwellInViewMs": 123,
"eyeTrackingConsent": true,
"spatialMappingConsent": true,
"minorMode": true,
"beamId": "<string>",
"coverageCellId": "<string>",
"groundStationId": "<string>",
"footprintRegion": "<string>",
"spectrumBand": "<string>",
"dopplerLocked": true,
"weatherAttenuationDb": 123,
"licensedRegionMatch": true,
"onboardProcessed": true,
"viewable": true,
"muted": true,
"audible": true
}
}
'{
"ok": true,
"data": {
"receipt": {
"version": "<string>",
"receiptId": "<string>",
"correlationId": "<string>",
"spatialAnchorId": "<string>",
"spatialPlacementId": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"renderedAt": "2023-11-07T05:31:56Z",
"dwellMs": 123,
"nonce": "<string>",
"witness": "<string>"
}
},
"contractVersion": "<string>"
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}Observe a delivery
Observe a delivery event against an ACTIVE right. The substrate-specific constraint gate runs before the receipt is emitted; constraint violations come back as 412 PRECONDITION_FAILED. The signed receipt is appended to the event stream and folded into the next proof pack on POST /v1/proof-packs/seal. Requires scope delivery:write.
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rightId: '<string>',
spatialAnchorId: '<string>',
dwellMs: 1,
spatialPlacementId: '<string>',
correlationId: '<string>',
telemetry: {
speedMph: 123,
remoteIdActive: true,
bvlosWaiverId: '<string>',
voicePromptActive: true,
headsetWorn: true,
passthroughActive: true,
roomScaleBounded: true,
spatialAnchorPersistent: true,
geoAnchored: true,
occlusionResolved: true,
fovPresence: true,
gazeInView: true,
dwellInViewMs: 123,
eyeTrackingConsent: true,
spatialMappingConsent: true,
minorMode: true,
beamId: '<string>',
coverageCellId: '<string>',
groundStationId: '<string>',
footprintRegion: '<string>',
spectrumBand: '<string>',
dopplerLocked: true,
weatherAttenuationDb: 123,
licensedRegionMatch: true,
onboardProcessed: true,
viewable: true,
muted: true,
audible: true
}
})
};
fetch('https://sandbox.api.enfinitos.com/v1/delivery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.enfinitos.com/v1/delivery"
payload = {
"rightId": "<string>",
"spatialAnchorId": "<string>",
"dwellMs": 1,
"spatialPlacementId": "<string>",
"correlationId": "<string>",
"telemetry": {
"speedMph": 123,
"remoteIdActive": True,
"bvlosWaiverId": "<string>",
"voicePromptActive": True,
"headsetWorn": True,
"passthroughActive": True,
"roomScaleBounded": True,
"spatialAnchorPersistent": True,
"geoAnchored": True,
"occlusionResolved": True,
"fovPresence": True,
"gazeInView": True,
"dwellInViewMs": 123,
"eyeTrackingConsent": True,
"spatialMappingConsent": True,
"minorMode": True,
"beamId": "<string>",
"coverageCellId": "<string>",
"groundStationId": "<string>",
"footprintRegion": "<string>",
"spectrumBand": "<string>",
"dopplerLocked": True,
"weatherAttenuationDb": 123,
"licensedRegionMatch": True,
"onboardProcessed": True,
"viewable": True,
"muted": True,
"audible": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.enfinitos.com/v1/delivery"
payload := strings.NewReader("{\n \"rightId\": \"<string>\",\n \"spatialAnchorId\": \"<string>\",\n \"dwellMs\": 1,\n \"spatialPlacementId\": \"<string>\",\n \"correlationId\": \"<string>\",\n \"telemetry\": {\n \"speedMph\": 123,\n \"remoteIdActive\": true,\n \"bvlosWaiverId\": \"<string>\",\n \"voicePromptActive\": true,\n \"headsetWorn\": true,\n \"passthroughActive\": true,\n \"roomScaleBounded\": true,\n \"spatialAnchorPersistent\": true,\n \"geoAnchored\": true,\n \"occlusionResolved\": true,\n \"fovPresence\": true,\n \"gazeInView\": true,\n \"dwellInViewMs\": 123,\n \"eyeTrackingConsent\": true,\n \"spatialMappingConsent\": true,\n \"minorMode\": true,\n \"beamId\": \"<string>\",\n \"coverageCellId\": \"<string>\",\n \"groundStationId\": \"<string>\",\n \"footprintRegion\": \"<string>\",\n \"spectrumBand\": \"<string>\",\n \"dopplerLocked\": true,\n \"weatherAttenuationDb\": 123,\n \"licensedRegionMatch\": true,\n \"onboardProcessed\": true,\n \"viewable\": true,\n \"muted\": true,\n \"audible\": true\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.api.enfinitos.com/v1/delivery")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rightId\": \"<string>\",\n \"spatialAnchorId\": \"<string>\",\n \"dwellMs\": 1,\n \"spatialPlacementId\": \"<string>\",\n \"correlationId\": \"<string>\",\n \"telemetry\": {\n \"speedMph\": 123,\n \"remoteIdActive\": true,\n \"bvlosWaiverId\": \"<string>\",\n \"voicePromptActive\": true,\n \"headsetWorn\": true,\n \"passthroughActive\": true,\n \"roomScaleBounded\": true,\n \"spatialAnchorPersistent\": true,\n \"geoAnchored\": true,\n \"occlusionResolved\": true,\n \"fovPresence\": true,\n \"gazeInView\": true,\n \"dwellInViewMs\": 123,\n \"eyeTrackingConsent\": true,\n \"spatialMappingConsent\": true,\n \"minorMode\": true,\n \"beamId\": \"<string>\",\n \"coverageCellId\": \"<string>\",\n \"groundStationId\": \"<string>\",\n \"footprintRegion\": \"<string>\",\n \"spectrumBand\": \"<string>\",\n \"dopplerLocked\": true,\n \"weatherAttenuationDb\": 123,\n \"licensedRegionMatch\": true,\n \"onboardProcessed\": true,\n \"viewable\": true,\n \"muted\": true,\n \"audible\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.enfinitos.com/v1/delivery")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rightId\": \"<string>\",\n \"spatialAnchorId\": \"<string>\",\n \"dwellMs\": 1,\n \"spatialPlacementId\": \"<string>\",\n \"correlationId\": \"<string>\",\n \"telemetry\": {\n \"speedMph\": 123,\n \"remoteIdActive\": true,\n \"bvlosWaiverId\": \"<string>\",\n \"voicePromptActive\": true,\n \"headsetWorn\": true,\n \"passthroughActive\": true,\n \"roomScaleBounded\": true,\n \"spatialAnchorPersistent\": true,\n \"geoAnchored\": true,\n \"occlusionResolved\": true,\n \"fovPresence\": true,\n \"gazeInView\": true,\n \"dwellInViewMs\": 123,\n \"eyeTrackingConsent\": true,\n \"spatialMappingConsent\": true,\n \"minorMode\": true,\n \"beamId\": \"<string>\",\n \"coverageCellId\": \"<string>\",\n \"groundStationId\": \"<string>\",\n \"footprintRegion\": \"<string>\",\n \"spectrumBand\": \"<string>\",\n \"dopplerLocked\": true,\n \"weatherAttenuationDb\": 123,\n \"licensedRegionMatch\": true,\n \"onboardProcessed\": true,\n \"viewable\": true,\n \"muted\": true,\n \"audible\": true\n }\n}"
response = http.request(request)
puts response.read_bodyfalsecurl --request POST \
--url https://sandbox.api.enfinitos.com/v1/delivery \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rightId": "<string>",
"spatialAnchorId": "<string>",
"dwellMs": 1,
"spatialPlacementId": "<string>",
"correlationId": "<string>",
"telemetry": {
"speedMph": 123,
"remoteIdActive": true,
"bvlosWaiverId": "<string>",
"voicePromptActive": true,
"headsetWorn": true,
"passthroughActive": true,
"roomScaleBounded": true,
"spatialAnchorPersistent": true,
"geoAnchored": true,
"occlusionResolved": true,
"fovPresence": true,
"gazeInView": true,
"dwellInViewMs": 123,
"eyeTrackingConsent": true,
"spatialMappingConsent": true,
"minorMode": true,
"beamId": "<string>",
"coverageCellId": "<string>",
"groundStationId": "<string>",
"footprintRegion": "<string>",
"spectrumBand": "<string>",
"dopplerLocked": true,
"weatherAttenuationDb": 123,
"licensedRegionMatch": true,
"onboardProcessed": true,
"viewable": true,
"muted": true,
"audible": true
}
}
'{
"ok": true,
"data": {
"receipt": {
"version": "<string>",
"receiptId": "<string>",
"correlationId": "<string>",
"spatialAnchorId": "<string>",
"spatialPlacementId": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"renderedAt": "2023-11-07T05:31:56Z",
"dwellMs": 123,
"nonce": "<string>",
"witness": "<string>"
}
},
"contractVersion": "<string>"
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}{
"ok": true,
"message": "<string>",
"contractVersion": "<string>",
"field": "<string>",
"validationErrors": [
{}
],
"requiredScopes": [
"<string>"
],
"keyScopes": [
"<string>"
]
}Authorizations
API key sent as Authorization: Bearer <api-key>.
Body
The ACTIVE right being exercised (prefixed rgh_).
1Milliseconds of dwell on the surface (non-negative).
x >= 0Optional placement within the anchor.
Optional correlation id for upstream tracing.
Optional substrate-specific telemetry passed to the constraint gate and, where consented, to metering. Accepts the full substrate signal set — DOOH-era, spatial AR/VR (presence, placement, consent), satellite/space-delivered, and screen/video/app signals. Canonical shape: DeliveryTelemetry in packages/sandbox-core/src/types.ts. Known fields below; additional fields are accepted.
Show child attributes
Show child attributes